Program achylles1D

!!$ Logiciel sous licence CeCILL
!!$ Auteur: Rodolphe Turpault
!!$ Code contenant le schéma asymptotic-preserving de Berthon et Turpault 
!!$ paru dans [NMPDE 27(6) 2011]
!!$ Cette version de base contient les choix suivants:
!!$ Modèle: Euler avec friction
!!$ Schéma pour la partie hyperbolique: HLL ou Rusanov
!!$ cf. documentation

  Use variables
  Use physique
  Use numerique
  Use es

  Implicit None

  Integer  :: iter

  Call lit_entree
  Allocate(U(2,nx),F(2,nx),R(2,nx),U1(2,nx))
  Allocate(alpha(2:nx),bp(2:nx),bm(2:nx),Sp(2,2:nx),Sm(2,2:nx))

  Call initialisation

  Do While (time<tfin)

     Call calcul_dt
     If (time<dt) Then
        Print *,'dt=',dt
     End If
     time = time + dt
     iter = iter + 1
     If (naff*(iter/naff)==iter) Then
        Print *,'Calcul - t=',time
     End If
     Call un_pas_temps
     U = U1
     Call decode
     Call op_secondaires

  End Do


  Call ecriture_sortie

  Deallocate(U,F,R,U1)
  Deallocate(bp,bm,alpha,Sp,Sm)

End Program achylles1D
